using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp90
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int N = Convert.ToInt32(s[0]); int L = Convert.ToInt32(s[1]);
            int[] niz = new int[N];
            s = Console.ReadLine().Split(' ');
            for (int i = 0; i < N; i++) { niz[i] = Convert.ToInt32(s[i]); }
            if (niz.Min() > L) { Console.WriteLine("-1"); }
            else
            {
                int resenje = 1;
                while (niz[resenje - 1] > L) { resenje++; }
                Console.WriteLine(resenje);
            }
            Console.ReadLine();
        }
    }
}